.container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2em;
}

.calendar-title {
    font-size: 2rem;
}

.calendar-container {
  padding: 0 7em;
}

.calendar-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  border: 1px gray solid;
  border-radius: 1em 1em 0 0;
  min-height: 4em;
  align-items: center;
  padding: 0 2em;
}

.calendar-controls {
  display: flex;
  flex-direction: row;
  gap: 1em;
}

.calendar-grid {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  border-top: 1px gray solid;
  //border-radius: 0 0 1em 1em;


}

.calendar-week-day {
  display: grid;
  grid-template-columns: repeat(7, 1fr);

  div {
    display: flex;
    gap: 1em;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-right: 1px gray solid;
    padding: 1em;

    &:first-child {
      border-left: 1px gray solid;
    }
  }
}

.calendar-month {
  font-size: 1.2rem;
  font-weight: 400;
}

.calendar-day {
  min-height: 6em;
  min-width: 7em;
  display: flex;
  gap: 1em;
  flex-direction: column;
  padding: 0.5em;
  border-right: 1px gray solid;
  border-bottom: 1px gray solid;

  &:nth-child(7n+1) {
    border-left: 1px gray solid;
  }
  //&:nth-child(n+29) {
  //  border-bottom: 0;
  //}
}

.calendar-entries-list {
  font-size: .8rem;
}

.btn {
  border: none;
  text-align: center;
  background-color: #555d6c;
  color: white;
  padding: 0.5em 1.3em;
  border-radius: 0.3em;
  cursor: pointer;
  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;

  &:hover {
    background-color: #2d3338;
  }
}

.btn-info {
  padding: 0.3em 1.5em;
}

.btn-edit {
  font-size: 0.1rem;
  padding: 5em 5em;
  border-radius: 3em;
}

.btn-today {
  background-color: blue;
}
